package cn.wisenergy.model.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @description: 项目工时和工时成本
 * @author: nh
 * @create: 2021-01-22 11:57
 **/
@Data
public class WorkTimeAndCostCollect implements Serializable {
    private static final long serialVersionUID = 7207732278277982917L;

    /**
     * 类型：项目/商机
     */
    private String type;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 部门主键
     */
    private Integer deptId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 开始统计日期
     */
    private String firstTime;

    /**
     *最后统计日期
     */
    private String lastTime;

    /**
     * 工时总计：人/天
     */
    private BigDecimal totalTime;

    /**
     * 工时成本
     */
    private Integer cost;

}
